Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.excelinput
Class ExcelInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.excelinput.ExcelInputData

All Implemented Interfaces:
  StepDataInterface

    public class ExcelInputData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`int` | `colnr` The column where we left off previous time...
`org.pentaho.di.core.row.RowMetaInterface` | `conversionRowMeta`
`int` | `defaultStartColumn`
`int` | `defaultStartRow`
`FileErrorHandler` | `errorHandler` The error handler when processing of a row fails.
`org.apache.commons.vfs.FileObject` | `file`
`String` | `filename`
`int` | `filenr` The file number that's being handled...
`FilePlayList` | `filePlayList`
`org.pentaho.di.core.fileinput.FileInputList` | `files` The Excel files to read
`int` | `maxfilelength` The maximum length of all filenames...
`int` | `maxsheetlength` The maximum length of all sheets...
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previousRow` The previous row in case we want to repeat values...
`int` | `rownr` The row where we left off the previous time...
`jxl.Sheet` | `sheet` The sheet that's being processed...
`String[]` | `sheetNames`
`int` | `sheetnr` The sheet number that's being processed...
`int[]` | `startColumn`
`int[]` | `startRow`
`jxl.Workbook` | `workbook` The openFile that's being processed...

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ExcelInputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### previousRow

    public Object[] previousRow

  The previous row in case we want to repeat values...

### maxfilelength

    public int maxfilelength

  The maximum length of all filenames...

### maxsheetlength

    public int maxsheetlength

  The maximum length of all sheets...

### files

    public org.pentaho.di.core.fileinput.FileInputList files

  The Excel files to read

### filenr

    public int filenr

  The file number that's being handled...

### filename

    public String filename

### file

    public org.apache.commons.vfs.FileObject file

### workbook

    public jxl.Workbook workbook

  The openFile that's being processed...

### sheetnr

    public int sheetnr

  The sheet number that's being processed...

### sheet

    public jxl.Sheet sheet

  The sheet that's being processed...

### rownr

    public int rownr

  The row where we left off the previous time...

### colnr

    public int colnr

  The column where we left off previous time...

### errorHandler

    public FileErrorHandler errorHandler

  The error handler when processing of a row fails.

### filePlayList

    public FilePlayList filePlayList

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### conversionRowMeta

    public org.pentaho.di.core.row.RowMetaInterface conversionRowMeta

### sheetNames

    public String[] sheetNames

### startColumn

    public int[] startColumn

### startRow

    public int[] startRow

### defaultStartColumn

    public int defaultStartColumn

### defaultStartRow

    public int defaultStartRow

Constructor Detail

### ExcelInputData

    public ExcelInputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD